| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Digikam::GreycstorationContainer Class Reference

## Public Types
enum | INTERPOLATION { NearestNeighbor = 0 , Linear , RungeKutta }

## Public Member Functions
void | setInpaintingDefaultSettings ()
void | setResizeDefaultSettings ()
void | setRestorationDefaultSettings ()

## Public Attributes
float | alpha = 0.6F
float | amplitude = 60.0F
float | anisotropy = 0.3F
int | btile = 4
float | da = 30.0F
float | dl = 0.6F
bool | fastApprox = true
float | gaussPrec = 2.0F
uint | interp = NearestNeighbor
uint | nbIter = 1
float | sharpness = 0.7F
float | sigma = 1.1F
int | tile = 256